/* 
 * menu
 *
 * 2002.12.06 -
 * Time-stamp: <2004-11-24 17:30:57 dimm>
 *
 */
#include <gtk/gtk.h>
#include <strings.h>

#include "seemon2.h"

//static GtkItemFactoryEntry menu_items[] = {
//  { "/_File", NULL, NULL, 0, "<Branch>"},
//  { "/File/_Setting..", "<control>E", callback_open_setting, 0, "<Item>"}, 
//  { "/File/_Quit", "<control>Q", delete_event, 0, "<Item>"}
//};
static GtkItemFactoryEntry menu_items[] = {
  { "/_File", NULL, NULL, 0, "<Branch>"},
  { "/File/_Setting..", "<control>E", callback_open_setting, 0, "<Item>"},
  { "/File/_Quit", "<control>Q", user_quit, 0, "<Item>"}
};

static gint nmenu_items = sizeof (menu_items) / sizeof (menu_items[0]);

GtkWidget* init_main_menu(GtkWidget *window) {
  GtkItemFactory *item_factory;
  GtkAccelGroup *accel_group;

  accel_group = gtk_accel_group_new();

  item_factory = gtk_item_factory_new(GTK_TYPE_MENU_BAR, "<main>", accel_group);
  //  gtk_item_factory_create_items(item_factory, nmenu_items, menu_items, NULL);
  gtk_item_factory_create_items(item_factory, nmenu_items, menu_items, window);

  gtk_window_add_accel_group(GTK_WINDOW(window), accel_group);

  return gtk_item_factory_get_widget(item_factory, "<main>");
}
