/* grab a single dv frame 
 *  using fork
 * Time-stamp: <2004-12-01 17:42:07 dimm>
 */
#include <sys/types.h>
#include <signal.h>
#include <stdio.h>
#include <unistd.h>

void receiv_term(int sig);

int main(void) {
  pid_t pid;
  int ret = 0;

  pid = fork();

  switch(pid) {
  case -1:
    exit(1);
  case 0: /* child */
    system("/usr/local/bin/grabdv.sh");
    //    printf("child: go to sleep.\n");
    //    system("sleep 30");
    //    execl("/bin/sleep", "sleep","30",0);
    kill(getppid(), SIGALRM);
    //    printf("child: sent SIGALRM.\n");
    break;
  default: /* parent */
    (void)signal(SIGALRM, receiv_term);
    //    printf("parent: sleep 10 sec.\n");
    sleep(30);
    printf("# grabseq: grabdv unfinished: kill the process\n");
    //    kill(pid, SIGTERM);
    kill(pid, SIGKILL);
    system("/usr/local/bin/clean.sh"); /* kill dvgrab and transcode */
    ret = 1;
    break;
  }

  exit(ret);
}

void receiv_term(int sig) {
  //  printf("parent: received alarm.\n");
  exit(0);
}
